Comment 33 for bug 568779

Holding xserver-xorg-video-intel package at 2.9.1-3ubuntu2 version instead of the latest version worked for me (https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/568878).
Maybe this can help someone.